#!/bin/bash

if [ "$#" -ne 2 ]; then
    echo "Usage: $0 <wallet_address> <private_key>"
    exit 1
fi

WALLET_ADDRESS=$1
PRIVATE_KEY=$2

# Список файлов
FILES=(
    "./projects/hello-world/container/config.json"
    "./projects/hello-world/contracts/Makefile"
)

for FILE in "${FILES[@]}"; do
    EXPANDED_FILE=$(eval echo "$FILE")
    sed -i "s/###WALLET_ADDRESS###/$WALLET_ADDRESS/g" "$EXPANDED_FILE"
    sed -i "s/###PRIVATE_KEY###/$PRIVATE_KEY/g" "$EXPANDED_FILE"
done
